#include<iostream>
#include<cstdlib>
using namespace std;


int main(){
	int x,n,i,a,max,min,levi,desni,dodaj,resenje;
	cin>>n;
	cin>>x;
	cin>>a;
	
	max=a;
	min=a;
	for(i=1;i<n;i++){
		cin>>a;
		if(a>=max){
			max=a;
		}
			
		if(a<=min){
			min=a;
		}
		
	}
	
	
	levi=abs(min-x);
	desni=abs(max-x);
	
	if(levi<desni){
		dodaj=abs(min-max);
		resenje=levi+dodaj;
	}else{
		dodaj=abs(max-min);
		resenje=desni+dodaj;
	}
	
	cout<<resenje;
	
	
	
	
	
	
	
	
}